CLE is an Eclipse plugin intented to edit grammar specification files used by CUP and scanner specification files used by JFlex.

CLE is able to generate the Java source files starting from such specification files.


Starting with version 0.1.8, CLE supports only the version 3.4 of Eclipse. Previous versions of Eclipse might work but they haven't been tested.

CLE runs on JavaSE-5.0.


CLE can be installed using the Eclipse Update Manager from CLE Eclipse Update Site. For step by step instruction check the documentation.

You can also download the ZIP archive from SourceForce download area and extract it directly into the home of your Eclipse installation (or if you preferred, into the dropins directory).